Create an upload
POST
/uploads
const url = 'https://example.com/uploads';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"file_name":"example","file_type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/uploads \ --header 'Content-Type: application/json' \ --data '{ "file_name": "example", "file_type": "example" }'Create an upload object and return a signed URL for file upload.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
file_name
required
The name of the file to be uploaded.
string
file_type
The MIME type of the file (e.g., application/pdf).
string
Example generated
{ "file_name": "example", "file_type": "example"}Responses
Section titled “ Responses ”Upload created
Media type application/json
object
upload_id
required
A unique identifier for the upload.
string
upload_url
required
A signed URL for uploading the file.
string
expires_at
required
ISO 8601 timestamp when the upload URL expires.
string format: date-time
Example generated
{ "upload_id": "example", "upload_url": "example", "expires_at": "2026-04-15T12:00:00Z"}Bad request
Media type application/json
object
error_code
required
A unique error code identifying the issue.
string
message
required
A human-readable error message.
string
Example generated
{ "error_code": "example", "message": "example"}Unauthorized
Media type application/json
object
error_code
required
A unique error code identifying the issue.
string
message
required
A human-readable error message.
string
Example generated
{ "error_code": "example", "message": "example"}Forbidden
Media type application/json
object
error_code
required
A unique error code identifying the issue.
string
message
required
A human-readable error message.
string
Example generated
{ "error_code": "example", "message": "example"}